## jigdo 0.8.1

=== src/glibcurl/Makefile ===
# Project: glibcurl (integration of glib event loop with libcurl)
#  __   _
#  |_) /|  Copyright (C) 2004  |  richard@
#  | \/|  Richard Atterer     |  atterer.net
#   '` 

CFLAGS =	-Wall -O2
CPPFLAGS =	-I. \
		$(shell pkg-config gthread-2.0 --cflags) \
		$(shell curl-config --cflags)
LIBS =		$(shell pkg-config gthread-2.0 --libs) \
		$(shell curl-config --libs)

all:		glibcurl-example

run:		all
		./glibcurl-example http://localhost:8000/~richard/ironmaiden/image

clean:
		rm -f glibcurl-example glibcurl-example.o glibcurl.o

glibcurl-example: glibcurl-example.o glibcurl.o
		$(CC) -o $@ glibcurl-example.o glibcurl.o $(LIBS) $(LDFLAGS)

glibcurl-example.o: glibcurl.o

## jigdo 0.7.3

=== debian/changelog ===
jigdo (0.7.3-5) unstable; urgency=medium

  * Switch addresses from atterer.org to atterer.org in various places
    (Closes: #609816)
  * jigdo-lite: use tmpDir when creating images. Closes: #578325
    Thanks to Mateusz Poszwa for the patch.
  * jigdo-lite: Cope with https URLs. Closes: #865864.
    Thanks to s3v for the patch for inspiration.
  * jigdo-lite: Unset GREP_OPTIONS at the start. Closes: #767318
  * jigdo-lite: Read/store the filesPerFetch setting from the config
    file. Closes: #826781
  * jigdo-file: Fix building with glibc >= 2.25. Closes: #880981
    Thanks to Matthias Klose for the patch.
  * Various packaging changes:
    + Switch source format to 3.0 (quilt) and split up patches a little
    + Update to Standards-Version: 4.1.1
    + Switch Priority to optional
    + Improve cross-building. Closes: #864516. Thanks to Helmut Grohne for
      the patch

 -- Steve McIntyre <93sam@debian.org>  Thu, 07 Dec 2017 16:38:20 +0000

jigdo (0.7.3-4) unstable; urgency=low

  * New maintainer (Closes: #833158). Thanks to Richard for all his hard
    work!
  * Updated Standards-Version and fixed various lintian warnings
  * Add hardening flags to the build
  * Update to use and depend on debhelper 9+

 -- Steve McIntyre <93sam@debian.org>  Wed, 10 Aug 2016 13:11:43 +0100

jigdo (0.7.3-3) unstable; urgency=low

  * Brown paper bag bugfix release
  * Non-versioned dependency on libdb-dev rather than libdb4.6-dev.
    Closes: #548482
  * No longer build GUI application and "jigdo" package, since the GUI
    will remain unfinished. :~-| Only build "jigdo-file" package.
    Closes: #515285, #413574, #370384, #516053
  * Updated debian-mirrors.jigdo from current Mirrors.masterlist
  * Workaround for problem with "jigdo-file md5sum" together with
    "--no-check-files". Closes: #418694, #528644
    Quite possibly also Closes: #507993
  * Refer to "GPL-2" rather than "GPL" file in copyright file (lintian)
  * Avoid warning of man about the jigdo-file.1 manpage (lintian)
  * Fixed doc-base section of debian-jigdo-mini-howto (lintian)

 -- Richard Atterer <atterer@debian.org>  Mon, 28 Dec 2009 17:46:15 +0100

jigdo (0.7.3-2) unstable; urgency=medium

  * Switched to libdb4.6. Closes: #470211
  * Switched to libcurl4
  * jigdo-mirror passes --no-verbose to wget rather than --non-verbose.
    Closes: #422059
  * Hack Makefile(.in) not to strip if DEB_BUILD_OPTIONS=nostrip.
    Closes: #437240

 -- Richard Atterer <atterer@debian.org>  Sat, 20 Sep 2008 22:16:25 +0200

jigdo (0.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417236).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 15:35:44 +0000

jigdo (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Removed build-dep on GCC 3.4, now builds with GCC 4.x. Closes: #342973
  * Say in jigdo description that the package is in beta
    Closes: #320163: jigdo: Short description too vague
  * Build-depend on libdb4.4
    Closes: #336487: jigdo: please switch to libdb4.3

 -- Richard Atterer <atterer@debian.org>  Fri, 19 May 2006 19:25:46 +0200

jigdo (0.7.2-2) unstable; urgency=high

  * High-urgency upload for RC bugfix.
  * Closes: #319327: jigdo_0.7.2-1: FTBFS (alpha/unstable):
    C++ prototype mismatch on 64-bit systems
    Thanks to Steve Langasek for the good work.
  * Build with gcc-3.4, not 4.0 due to problems on some arches
    (see #319327)

 -- Richard Atterer <atterer@debian.org>  Thu, 21 Jul 2005 13:35:38 +0200

jigdo (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Fixed de.po file
    Closes: #314028: [INTL:de] German PO file corrections
  * Closes: #292573: jigdo-file: Bad format string in error message
  * Correctly deal with copy: URLs when reading /etc/apt/sources.list
    Closes: #310881: jigdo-lite doesn't know copy:// urls
  * Added support for --noask switch to jigdo-lite
    Closes: #242729: jigdo-lite always asks for mirror

 -- Richard Atterer <atterer@debian.org>  Wed,  6 Jul 2005 15:18:36 +0200

jigdo (0.7.1-5) unstable; urgency=low

  * Added build-depends on GCC 3.4, use it for compilation
    Closes: #221375: jigdo should be compiled with g++-3.3 to undergo
    c102 transition.

 -- Richard Atterer <atterer@debian.org>  Sat, 31 Jul 2004 17:09:30 +0200

jigdo (0.7.1-4) unstable; urgency=low

  * jigdo-file: Bugfix for the code which deduces missing --image/
    --jigdo/--template arguments. Broken in 0.7.1, would deduce
    /x.iso.template from /x.iso, instead of /x.template (Adrian Bunk)
    Closes: #257646: output file name changes broke scripts

 -- Richard Atterer <atterer@debian.org>  Mon,  5 Jul 2004 15:45:21 +0200

jigdo (0.7.1-3) unstable; urgency=low

  * jigdo-lite: Fixed regular expressions so they work with sed 4.1
    Closes: #256331: Problem with recent unstable dvd images

 --  <atterer@debian.org>  Sat, 26 Jun 2004 13:17:38 +0200

jigdo (0.7.1-2) unstable; urgency=low

  * Fix for a build error on 64 bit architectures
  * Accidentally built 0.7.1-1 as a native package

 --  <atterer@debian.org>  Thu, 24 Jun 2004 12:23:32 +0200

jigdo (0.7.1-1) unstable; urgency=low

  * New upstream release 
  * Fixes segfaults due to big local vars on stack, closes: #192275
  * jigdo-lite: Fix interpretation of jigdo-file return code,
    closes: #205740
  * Upstream release includes workaround which enables DVD (>4GB file)
    creation even if compiled with GCC 3.0 to 3.4, closes: #248489
  * Bugfix for "jigdo-file make-image": Failed assertion
    `nextAlignedOff>off' and huge .template with >4GB image,
    closes: #223786

 -- Richard Atterer <atterer@debian.org>  Wed, 23 Jun 2004 15:26:36 +0200

jigdo (0.7.0-2) unstable; urgency=low

  * Fix for a build error on 64 bit architectures
  * Including upstream changelog in jigdo binary package

 -- Richard Atterer <atterer@debian.org>  Tue,  6 May 2003 21:12:41 +0200

jigdo (0.7.0-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: jigdo
Section: utils
Priority: optional
Maintainer: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, libdb-dev (>= 4.8), libglib2.0-dev
Standards-Version: 4.1.1

Package: jigdo-file
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Conflicts: jigdo (<< 0.6.9)
Homepage: http://atterer.org/jigdo/
Description: Download Debian CD images from any Debian mirror
 Using the jigdo-lite script contained in this package, you can use
 your nearest "regular" Debian mirror to download Debian CD images,
 instead of having to use one of the few, slow, overloaded mirrors
 that offer the images as direct HTTP or FTP downloads. See
 <http://www.debian.org/CD/jigdo-cd/> for details.
 .
 Jigsaw Download, or short jigdo, is a scheme developed primarily to
 make it easy to distribute huge filesystem images (e.g. CD (ISO9660)
 or DVD (UDF) images) over the internet, but it could also be used for
 other data which is awkward to handle due to its size, like
 audio/video files or large software packages.
 .
 jigdo tries to ensure that the large file is downloaded in small
 parts which can be stored on different servers. People who want to
 download the image do so by telling the jigdo download tool to
 process one ".jigdo" file; using it, jigdo downloads the parts and
 reassembles the image. jigdo-file is used to prepare the files for
 download.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkg-config

configure: configure-stamp
configure-stamp:
	dh_testdir
	dh_auto_configure -- --without-gui --enable-nls
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) \
             EXTRA_CFLAGS="${CPPFLAGS} ${CFLAGS}" \
             EXTRA_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" \
             EXTRA_LDFLAGS="${LDFLAGS}"

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) X="`$(PKG_CONFIG) glib-2.0 --cflags`" \
             EXTRA_CFLAGS="${CPPFLAGS} ${CFLAGS}" \
             EXTRA_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" \
             EXTRA_LDFLAGS="${LDFLAGS}" \
	     GLIBLIBS="`$(PKG_CONFIG) glib-2.0 --libs`" -C src test || true
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=debian/jigdo-file install-po \
	    install-jigdo-file install-jigdo-lite install-jigdo-mirror

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## jigdo 0.8.0

=== debian/changelog ===
jigdo (0.8.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:44:37 +0100

jigdo (0.8.0-1) unstable; urgency=medium

  * New upstream release, with me as new upstream
    - Roll up lots of older fixes from Debian packaging
    - Fixed lots of warnings thrown by newer compilers
    - Extensive changes throughout to add support for using SHA256 as
      well as / instead of MD5 checksums

 -- Steve McIntyre <93sam@debian.org>  Wed, 20 Nov 2019 01:51:01 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	autoconf
 	dh_auto_configure -- --without-gui --enable-nls
 	touch configure-stamp

## jigdo 0.8.1

=== debian/changelog ===
jigdo (0.8.1-1) unstable; urgency=medium

  * New upstream release
    - Fix up compilation with g++ 11. Closes: #984071

 -- Steve McIntyre <93sam@debian.org>  Sun, 31 Oct 2021 21:14:05 +0000

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Section: utils
 Priority: optional
 Maintainer: Steve McIntyre <93sam@debian.org>
-Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, libdb-dev (>= 4.8), libglib2.0-dev
+Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, libdb-dev (>= 4.8), libglib2.0-dev, gawk, docbook-utils
 Standards-Version: 4.1.1
 
 Package: jigdo-file
 Architecture: any
 Depends: wget, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: jigdo (<< 0.6.9)
-Homepage: http://atterer.org/jigdo/
-Description: Download Debian CD images from any Debian mirror
+Homepage: https://www.einval.com/~steve/software/jigdo/
+Description: Download Debian CD/DVD/USB images from any Debian mirror
  Using the jigdo-lite script contained in this package, you can use
- your nearest "regular" Debian mirror to download Debian CD images,
+ your nearest "regular" Debian mirror to download Debian images,
  instead of having to use one of the few, slow, overloaded mirrors
  that offer the images as direct HTTP or FTP downloads. See
  <http://www.debian.org/CD/jigdo-cd/> for details.
  .
- Jigsaw Download, or short jigdo, is a scheme developed primarily to
+ Jigsaw Download (for short jigdo) is a scheme developed primarily to
  make it easy to distribute huge filesystem images (e.g. CD (ISO9660)
  or DVD (UDF) images) over the internet, but it could also be used for
  other data which is awkward to handle due to its size, like

## jigdo 0.8.2

=== debian/changelog ===
jigdo (0.8.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:07 +1100

jigdo (0.8.2-1build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:32:54 +0000

jigdo (0.8.2-1) unstable; urgency=medium

  * New upstream release
    - Fix up compilation with g++ 13. Closes: #1037704
    - Fix version to be consistently 0.8.2 everywhere.
      Closes: #1036958

 -- Steve McIntyre <93sam@debian.org>  Thu, 03 Aug 2023 20:40:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jigdo
 Section: utils
 Priority: optional
-Maintainer: Steve McIntyre <93sam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steve McIntyre <93sam@debian.org>
 Build-Depends: debhelper (>= 9), zlib1g-dev, libbz2-dev, libdb-dev (>= 4.8), libglib2.0-dev, gawk, docbook-utils
 Standards-Version: 4.1.1

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp config.log
+	rm -f build-stamp configure-stamp config.log po/*.gmo
 	[ ! -f Makefile ] || $(MAKE) distclean
 	dh_clean
